<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0) on Wed Aug 15 19:54:13 CEST 2007 -->
<TITLE>
Figure
</TITLE>

<META NAME="date" CONTENT="2007-08-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Figure";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/Figure.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../model/chess/Field.html" title="class in model.chess"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../index.html?model/chess/Figure.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Figure.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
model.chess</FONT>
<BR>
Class Figure</H2>
<PRE>
<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../resources/inherit.gif" ALT="extended by "><B>model.chess.Figure</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <B>Figure</B><DT>extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
Figure description.
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD>robert.wloch@tempel-der-guten-dinge.de</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#BISHOP">BISHOP</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Type of the Figure.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../model/chess/Board.html" title="class in model.chess">Board</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#board">board</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The Board the Figure belongs to.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#CASTLE">CASTLE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Type of the Figure.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#field">field</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The Field the Figure stands on.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#inGame">inGame</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Flag indication if the figure is still in the game.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#isWhite">isWhite</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Flag indicating the party the Figure belongs to.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#KING">KING</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Type of the Figure.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#KNIGHT">KNIGHT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Type of the Figure.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#mate">mate</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Flag used for kings indicating if they are check mate.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#name">name</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The name of the Figure.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#PAWN">PAWN</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Type of the Figure.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#QUEEN">QUEEN</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Type of the Figure.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#type">type</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The type of the Figure.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#untouched">untouched</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Flag indicating if the Figure has not moved yet.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../model/chess/Figure.html#Figure(boolean, int, java.lang.String, model.chess.Field, model.chess.Board)">Figure</A></B>(boolean&nbsp;white,
       int&nbsp;type,
       <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;n,
       <A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f,
       <A HREF="../../model/chess/Board.html" title="class in model.chess">Board</A>&nbsp;b)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#applyCheckCounterMeasures(java.util.ArrayList, java.util.ArrayList)">applyCheckCounterMeasures</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;counterCheckFields,
                          <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;coveredFields)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Keep only fields in move and attack list, that are in the counter check
 fields list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#clearStateLists()">clearStateLists</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Clears all information about attackers and Figures being attacked or
 covered as well as information about possible check threads from or to the
 Figure.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#getAttackersList()">getAttackersList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#getAttackList()">getAttackList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#getBlockList()">getBlockList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../model/chess/Board.html" title="class in model.chess">Board</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#getBoard()">getBoard</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#getChainedThreadPaths()">getChainedThreadPaths</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#getCheckPaths()">getCheckPaths</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#getCheckThreadPaths()">getCheckThreadPaths</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#getCoverList()">getCoverList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#getField()">getField</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#getFigureName()">getFigureName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#getGhostMoveList()">getGhostMoveList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This list is a collection of fields this figure could reach, if an
 opposing figure wasn't in its way.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/image/BufferedImage.html?is-external=true" title="class or interface in java.awt.image">BufferedImage</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#getImage()">getImage</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#getMoveList()">getMoveList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#getName()">getName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#getType()">getType</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#highlightFields()">highlightFields</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Highlights the fields concerning the next possible move of this figure.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#isCheck()">isCheck</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Applies only to kings.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#isInGame()">isInGame</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#isMate()">isMate</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Applies only to kings.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#isUntouched()">isUntouched</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#isWhite()">isWhite</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#setBoard(model.chess.Board)">setBoard</A></B>(<A HREF="../../model/chess/Board.html" title="class in model.chess">Board</A>&nbsp;board)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#setField(model.chess.Field)">setField</A></B>(<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;field)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets field where the figure stands and updates old and new fields' figure
 attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#setGhostMoveList(java.util.ArrayList)">setGhostMoveList</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;list)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#setImage(java.awt.image.BufferedImage)">setImage</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/image/BufferedImage.html?is-external=true" title="class or interface in java.awt.image">BufferedImage</A>&nbsp;image)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#setInGame(boolean)">setInGame</A></B>(boolean&nbsp;inGame)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#setMate(boolean)">setMate</A></B>(boolean&nbsp;mate)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#setMoveList(java.util.ArrayList)">setMoveList</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;list)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#setName(java.lang.String)">setName</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#setWhite(boolean)">setWhite</A></B>(boolean&nbsp;isWhite)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../model/chess/Figure.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="PAWN"><!-- --></A><H3>
PAWN</H3>
<PRE>
public static final int <B>PAWN</B></PRE>
<DL>
<DD>Type of the Figure.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#model.chess.Figure.PAWN">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="CASTLE"><!-- --></A><H3>
CASTLE</H3>
<PRE>
public static final int <B>CASTLE</B></PRE>
<DL>
<DD>Type of the Figure.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#model.chess.Figure.CASTLE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="KNIGHT"><!-- --></A><H3>
KNIGHT</H3>
<PRE>
public static final int <B>KNIGHT</B></PRE>
<DL>
<DD>Type of the Figure.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#model.chess.Figure.KNIGHT">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="BISHOP"><!-- --></A><H3>
BISHOP</H3>
<PRE>
public static final int <B>BISHOP</B></PRE>
<DL>
<DD>Type of the Figure.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#model.chess.Figure.BISHOP">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="QUEEN"><!-- --></A><H3>
QUEEN</H3>
<PRE>
public static final int <B>QUEEN</B></PRE>
<DL>
<DD>Type of the Figure.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#model.chess.Figure.QUEEN">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="KING"><!-- --></A><H3>
KING</H3>
<PRE>
public static final int <B>KING</B></PRE>
<DL>
<DD>Type of the Figure.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#model.chess.Figure.KING">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="field"><!-- --></A><H3>
field</H3>
<PRE>
protected <A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A> <B>field</B></PRE>
<DL>
<DD>The Field the Figure stands on.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="board"><!-- --></A><H3>
board</H3>
<PRE>
protected <A HREF="../../model/chess/Board.html" title="class in model.chess">Board</A> <B>board</B></PRE>
<DL>
<DD>The Board the Figure belongs to.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="name"><!-- --></A><H3>
name</H3>
<PRE>
protected <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>name</B></PRE>
<DL>
<DD>The name of the Figure.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="type"><!-- --></A><H3>
type</H3>
<PRE>
protected int <B>type</B></PRE>
<DL>
<DD>The type of the Figure.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="untouched"><!-- --></A><H3>
untouched</H3>
<PRE>
protected boolean <B>untouched</B></PRE>
<DL>
<DD>Flag indicating if the Figure has not moved yet.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="isWhite"><!-- --></A><H3>
isWhite</H3>
<PRE>
protected boolean <B>isWhite</B></PRE>
<DL>
<DD>Flag indicating the party the Figure belongs to.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="inGame"><!-- --></A><H3>
inGame</H3>
<PRE>
protected boolean <B>inGame</B></PRE>
<DL>
<DD>Flag indication if the figure is still in the game.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="mate"><!-- --></A><H3>
mate</H3>
<PRE>
protected boolean <B>mate</B></PRE>
<DL>
<DD>Flag used for kings indicating if they are check mate.
<P>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="Figure(boolean, int, java.lang.String, model.chess.Field, model.chess.Board)"><!-- --></A><H3>
Figure</H3>
<PRE>
public <B>Figure</B>(boolean&nbsp;white,
              int&nbsp;type,
              <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;n,
              <A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f,
              <A HREF="../../model/chess/Board.html" title="class in model.chess">Board</A>&nbsp;b)</PRE>
<DL>
<DL>
<DT><B>Parameters:</B><DD><CODE>type</CODE> - figure type<DD><CODE>n</CODE> - String (image file name); not null<DD><CODE>f</CODE> - Field; if null figure is not in game<DD><CODE>b</CODE> - Board; not null</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getType()"><!-- --></A><H3>
getType</H3>
<PRE>
public int <B>getType</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>type</DL>
</DD>
</DL>
<HR>

<A NAME="getBoard()"><!-- --></A><H3>
getBoard</H3>
<PRE>
public <A HREF="../../model/chess/Board.html" title="class in model.chess">Board</A> <B>getBoard</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>Board</DL>
</DD>
</DL>
<HR>

<A NAME="setBoard(model.chess.Board)"><!-- --></A><H3>
setBoard</H3>
<PRE>
public void <B>setBoard</B>(<A HREF="../../model/chess/Board.html" title="class in model.chess">Board</A>&nbsp;board)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>board</CODE> - Board</DL>
</DD>
</DL>
<HR>

<A NAME="getName()"><!-- --></A><H3>
getName</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>getName</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>Name</DL>
</DD>
</DL>
<HR>

<A NAME="setName(java.lang.String)"><!-- --></A><H3>
setName</H3>
<PRE>
public void <B>setName</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;name)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - String</DL>
</DD>
</DL>
<HR>

<A NAME="getField()"><!-- --></A><H3>
getField</H3>
<PRE>
public <A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A> <B>getField</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>field</DL>
</DD>
</DL>
<HR>

<A NAME="setField(model.chess.Field)"><!-- --></A><H3>
setField</H3>
<PRE>
public void <B>setField</B>(<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;field)</PRE>
<DL>
<DD>Sets field where the figure stands and updates old and new fields' figure
 attribute.<br>
 Calls back board's moveLog method to report the move.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>field</CODE> - Field</DL>
</DD>
</DL>
<HR>

<A NAME="getImage()"><!-- --></A><H3>
getImage</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/image/BufferedImage.html?is-external=true" title="class or interface in java.awt.image">BufferedImage</A> <B>getImage</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the image</DL>
</DD>
</DL>
<HR>

<A NAME="setImage(java.awt.image.BufferedImage)"><!-- --></A><H3>
setImage</H3>
<PRE>
public void <B>setImage</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/image/BufferedImage.html?is-external=true" title="class or interface in java.awt.image">BufferedImage</A>&nbsp;image)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>image</CODE> - BufferedImage</DL>
</DD>
</DL>
<HR>

<A NAME="isUntouched()"><!-- --></A><H3>
isUntouched</H3>
<PRE>
public boolean <B>isUntouched</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>true, if figure was not moved so far</DL>
</DD>
</DL>
<HR>

<A NAME="isInGame()"><!-- --></A><H3>
isInGame</H3>
<PRE>
public boolean <B>isInGame</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>inGame</DL>
</DD>
</DL>
<HR>

<A NAME="setInGame(boolean)"><!-- --></A><H3>
setInGame</H3>
<PRE>
public void <B>setInGame</B>(boolean&nbsp;inGame)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>inGame</CODE> - boolean</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>toString</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A></CODE> in class <CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isWhite()"><!-- --></A><H3>
isWhite</H3>
<PRE>
public boolean <B>isWhite</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>isWhite</DL>
</DD>
</DL>
<HR>

<A NAME="setWhite(boolean)"><!-- --></A><H3>
setWhite</H3>
<PRE>
public void <B>setWhite</B>(boolean&nbsp;isWhite)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>isWhite</CODE> - boolean</DL>
</DD>
</DL>
<HR>

<A NAME="getFigureName()"><!-- --></A><H3>
getFigureName</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>getFigureName</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the name of the Figure.</DL>
</DD>
</DL>
<HR>

<A NAME="isCheck()"><!-- --></A><H3>
isCheck</H3>
<PRE>
public boolean <B>isCheck</B>()</PRE>
<DL>
<DD>Applies only to kings.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>true if king is check</DL>
</DD>
</DL>
<HR>

<A NAME="applyCheckCounterMeasures(java.util.ArrayList, java.util.ArrayList)"><!-- --></A><H3>
applyCheckCounterMeasures</H3>
<PRE>
public void <B>applyCheckCounterMeasures</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;counterCheckFields,
                                      <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;coveredFields)</PRE>
<DL>
<DD>Keep only fields in move and attack list, that are in the counter check
 fields list.<br>
 Kings keep their move fields without the ones also present in the covered
 fields.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>counterCheckFields</CODE> - <DD><CODE>coveredFields</CODE> - </DL>
</DD>
</DL>
<HR>

<A NAME="isMate()"><!-- --></A><H3>
isMate</H3>
<PRE>
public boolean <B>isMate</B>()</PRE>
<DL>
<DD>Applies only to kings.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>true, if king is check mate</DL>
</DD>
</DL>
<HR>

<A NAME="setMate(boolean)"><!-- --></A><H3>
setMate</H3>
<PRE>
public void <B>setMate</B>(boolean&nbsp;mate)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>mate</CODE> - boolean</DL>
</DD>
</DL>
<HR>

<A NAME="getAttackList()"><!-- --></A><H3>
getAttackList</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt; <B>getAttackList</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the attackList</DL>
</DD>
</DL>
<HR>

<A NAME="getBlockList()"><!-- --></A><H3>
getBlockList</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt; <B>getBlockList</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the blockList</DL>
</DD>
</DL>
<HR>

<A NAME="getCoverList()"><!-- --></A><H3>
getCoverList</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt; <B>getCoverList</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the coverList</DL>
</DD>
</DL>
<HR>

<A NAME="getMoveList()"><!-- --></A><H3>
getMoveList</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt; <B>getMoveList</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the moveList</DL>
</DD>
</DL>
<HR>

<A NAME="setMoveList(java.util.ArrayList)"><!-- --></A><H3>
setMoveList</H3>
<PRE>
public void <B>setMoveList</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;list)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>list</CODE> - the new moveList; not null</DL>
</DD>
</DL>
<HR>

<A NAME="getGhostMoveList()"><!-- --></A><H3>
getGhostMoveList</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt; <B>getGhostMoveList</B>()</PRE>
<DL>
<DD>This list is a collection of fields this figure could reach, if an
 opposing figure wasn't in its way.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the ghostMoveList</DL>
</DD>
</DL>
<HR>

<A NAME="setGhostMoveList(java.util.ArrayList)"><!-- --></A><H3>
setGhostMoveList</H3>
<PRE>
public void <B>setGhostMoveList</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;list)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>list</CODE> - the new ghostMoveList; not null</DL>
</DD>
</DL>
<HR>

<A NAME="getAttackersList()"><!-- --></A><H3>
getAttackersList</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt; <B>getAttackersList</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the attackersList</DL>
</DD>
</DL>
<HR>

<A NAME="getChainedThreadPaths()"><!-- --></A><H3>
getChainedThreadPaths</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&gt; <B>getChainedThreadPaths</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the chainedThreadPaths</DL>
</DD>
</DL>
<HR>

<A NAME="getCheckPaths()"><!-- --></A><H3>
getCheckPaths</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&gt; <B>getCheckPaths</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the checkPaths</DL>
</DD>
</DL>
<HR>

<A NAME="getCheckThreadPaths()"><!-- --></A><H3>
getCheckThreadPaths</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&gt; <B>getCheckThreadPaths</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the checkThreadPaths</DL>
</DD>
</DL>
<HR>

<A NAME="clearStateLists()"><!-- --></A><H3>
clearStateLists</H3>
<PRE>
public void <B>clearStateLists</B>()</PRE>
<DL>
<DD>Clears all information about attackers and Figures being attacked or
 covered as well as information about possible check threads from or to the
 Figure.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="highlightFields()"><!-- --></A><H3>
highlightFields</H3>
<PRE>
public void <B>highlightFields</B>()</PRE>
<DL>
<DD>Highlights the fields concerning the next possible move of this figure.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/Figure.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../model/chess/Field.html" title="class in model.chess"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../index.html?model/chess/Figure.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Figure.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
